Update a staff member product rate
Partial update: only the fields sent change.
Path Parameters
- Type: stringFormat: uuididrequired
Staff member product rate id.
Body·
required
application/json
Any subset of writable fields. At least one is required. Unknown or read-only fields are rejected.
- Type: number | nulladdon
_amount - Type: number | nullfriday
_sunday _modifier - Type: string | nullFormat: uuidproduct
_id References products.id.
- Type: number | nullsaturday
_modifier - Type: string | nullFormat: uuidstaff
_member _id References staff_members.id.
- Type: number | nullstandalone
_amount - Type: string | nullstatus
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for patch/staff-member-product-rates/{id}
curl https://api.hireorpheus.com/api/v1/staff-member-product-rates/123e4567-e89b-12d3-a456-426614174000 \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"staff_member_id": null,
"product_id": null,
"standalone_amount": null,
"addon_amount": null,
"saturday_modifier": null,
"friday_sunday_modifier": null,
"status": null
}'
{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"staff_member_id": null,
"product_id": null,
"standalone_amount": null,
"addon_amount": null,
"saturday_modifier": null,
"friday_sunday_modifier": null,
"status": null,
"created_time": "2026-10-14T08:02:53.591Z",
"last_edited_time": "2026-10-14T08:02:53.591Z"
}
}